#include <mikmod.h>
#include <GL/gl.h>

/* ogg is better than modules! */
#define MOD 0

GLuint fogmode[]= { GL_EXP, GL_EXP2, GL_LINEAR };
GLfloat fogcolor[4]= {0.0f, 0.0f, 0.0f, 1.0f};
GLuint fogfilter = 1.0;

/* premade material and light stuff */
GLfloat mat_specular[] = { 1.0, 1.0, 1.0, 1.0 };
GLfloat low_shininess[] = { 10000.0 };
GLfloat light3_position[] = { 1.0, 0.0, 1.0, 1.0 };
GLfloat light3_ambient[] = { 0.0, 0.0, 1.0, 0.0 };
GLfloat light3_diffuse[] = { 0.0, 0.0, 1.0, 0.0 };
GLfloat light3_specular[] = { 0.0, 0.0, 1.0, 0.0 };
GLfloat light3_shine[] = { 1000.0 };
GLfloat light2_position[] = { 1.0, 1.0, 1.0, 1.0 };
GLfloat light2_ambient[] = { 0.0, 1.0, 0.0, 0.0 };
GLfloat light2_diffuse[] = { 0.0, 1.0, 0.0, 0.0 };
GLfloat light2_specular[] = { 0.0, 1.0, 0.0, 0.0 };
GLfloat light2_shine[] = { 1000.0 };
GLfloat light1_position[] = { 0.0, 0.0, 0.0, 1.0 };
GLfloat light1_ambient[]   = { 1.0, 1.0, 1.0, 0.0 };
GLfloat light1_diffuse[]   = { 1.0, 1.0, 1.0, 0.0 };
GLfloat light1_specular[] = { 1.0, 0.0, 1.0, 0.0 };
GLfloat light1_shine[] = { 10000.0 };

/* sound */
int fd_dsp;
unsigned char buf[4096];
FILE *file;
int current_sec = 0;
OggVorbis_File vf;
long ret = 1;

