/* objects, which require some amount of
 * whatever. work maybe? Well, we don't
 * want this in main.c anyway.
 * Nice to have around.
 */
#include "main.h"

void glStencilObj(GLfloat s) {
	glBegin(GL_QUADS);
	glTexCoord2f(0.0, 1.0); glVertex3f(-0.5+s, 0.5+s, 0.0);
	glTexCoord2f(1.0, 1.0); glVertex3f( 0.5+s, 0.5+s, 0.0);
	glTexCoord2f(1.0, 0.0); glVertex3f( 0.5+s,-0.5+s, 0.0);
	glTexCoord2f(0.0, 0.0); glVertex3f(-0.5+s,-0.5+s, 0.0);
	glEnd();
}

void glTitle() {
	glBegin(GL_QUADS);
	glTexCoord2f(0.0, 0.0); glVertex3f(-1.0, 1.0, 0.0);
	glTexCoord2f(1.0, 0.0); glVertex3f( 1.0, 1.0, 0.0);
	glTexCoord2f(1.0, 1.0); glVertex3f( 1.0,-1.0, 0.0);
	glTexCoord2f(0.0, 1.0); glVertex3f(-1.0,-1.0, 0.0);
	glEnd();
}

void glCube(GLdouble t, ...) {
	glBegin(GL_QUADS);
	glTexCoord2f(0.0, 1.0); glVertex3f(-1.0-t, 1.0+t, 1.0+t);
	glTexCoord2f(1.0, 1.0); glVertex3f( 1.0+t, 1.0+t, 1.0+t);
	glTexCoord2f(1.0, 0.0); glVertex3f( 1.0+t,-1.0-t, 1.0+t);
	glTexCoord2f(0.0, 0.0); glVertex3f(-1.0-t,-1.0-t, 1.0+t);
	glEnd();
	glBegin(GL_QUADS);
	glTexCoord2f(0.0, 1.0); glVertex3f(-1.0-t, 1.0+t, 1.0+t);
	glTexCoord2f(1.0, 1.0); glVertex3f(-1.0-t, 1.0+t,-1.0-t);
	glTexCoord2f(1.0, 0.0); glVertex3f(-1.0-t,-1.0-t,-1.0-t);
	glTexCoord2f(0.0, 0.0); glVertex3f(-1.0-t,-1.0-t, 1.0+t);
	glEnd();
	glBegin(GL_QUADS);
	glTexCoord2f(0.0, 1.0); glVertex3f( 1.0+t, 1.0+t, 1.0+t);
	glTexCoord2f(1.0, 1.0); glVertex3f( 1.0+t, 1.0+t,-1.0-t);
	glTexCoord2f(1.0, 0.0); glVertex3f( 1.0+t,-1.0-t,-1.0-t);
	glTexCoord2f(0.0, 0.0); glVertex3f( 1.0+t,-1.0-t, 1.0+t);
	glEnd();
	glBegin(GL_QUADS);
	glTexCoord2f(0.0, 1.0); glVertex3f(-1.0-t, 1.0+t,-1.0-t);
	glTexCoord2f(1.0, 1.0); glVertex3f( 1.0+t, 1.0+t,-1.0-t);
	glTexCoord2f(1.0, 0.0); glVertex3f( 1.0+t,-1.0-t,-1.0-t);
	glTexCoord2f(0.0, 0.0); glVertex3f(-1.0-t,-1.0-t,-1.0-t);
	glEnd();
	glBegin(GL_QUADS);
	glTexCoord2f(0.0, 1.0); glVertex3f(-1.0-t, 1.0+t, 1.0+t);
	glTexCoord2f(1.0, 1.0); glVertex3f( 1.0+t, 1.0+t, 1.0+t);
	glTexCoord2f(1.0, 0.0); glVertex3f( 1.0+t, 1.0+t,-1.0-t);
	glTexCoord2f(0.0, 0.0); glVertex3f(-1.0-t, 1.0+t,-1.0-t);
	glEnd();
	glBegin(GL_QUADS);
	glTexCoord2f(0.0, 1.0); glVertex3f(-1.0-t,-1.0-t, 1.0+t);
	glTexCoord2f(1.0, 1.0); glVertex3f( 1.0+t,-1.0-t, 1.0+t);
	glTexCoord2f(1.0, 0.0); glVertex3f( 1.0+t,-1.0-t,-1.0-t);
	glTexCoord2f(0.0, 0.0); glVertex3f(-1.0-t,-1.0-t,-1.0-t);
	glEnd();
}

